<script setup>
    import ClickCounter from "@/components/ClickCounter.vue";
    import {onMounted, ref} from "vue";
    import PersonForm from "@/components/PersonForm.vue";
    import {useUserStore} from "@/stores/UserStore";

    const showCounter = ref(true)
    const counterTitle = ref('Hallo Welt')
    const userStore = useUserStore()

    const counterData = ref({
        increaseCounterText: 'Increase',
        decreaseCounterText: 'Decrease'
    })

    function toggleCounter() {
        showCounter.value = !showCounter.value
    }

    function toggleDarkMode() {
        document.body.classList.toggle('dark')

        counterTitle.value = 'Hello World'
        counterData.value.increaseCounterText = 7
    }

    function loadAllUsers() {
        userStore.loadUsers()
    }

    onMounted(() => userStore.loadUsers())
</script>

<template>
    {{counterData}}
    <button @click="toggleDarkMode">Darkmode toggle</button>
    <button @click="toggleCounter" type="button">Counter ein-/ausblenden</button>
    <button type="button" @click="loadAllUsers">Alle Benutzer laden</button>
    <div v-if="showCounter">
        <h1>Meine erste Component:</h1>
        <ClickCounter v-bind:title="counterTitle" :text="counterData" />
        <ClickCounter :text="counterData" />
    </div>

    <PersonForm/>
    <PersonForm></PersonForm>
    <person-form></person-form>
    <person-form/>
</template>

<style scoped>
</style>
